Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

OCI Keys APIs

Canceling Deletion of an OCI Key

search

Canceling Deletion of an OCI Key

Use the post /v1/cckm/oci/keys/{id}/cancel-deletion API to cancel the deletion of an OCI key.

Syntax

curl -k '<IP>/api/v1/cckm/oci/keys/{id}/cancel-deletion' -X POST -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed

Here, {id} is the resource ID of the OCI key on the CipherTrust Manager. Note that the resource id is different from key_id on OCI. Run the get /v1/cckm/oci/keys API to view the resource ID (id) of the OCI key on the CipherTrust Manager.

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/oci/keys/3e954908-285b-4b91-bd59-620819392b03/cancel-deletion' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxYzU1ZWY0Yi01MThjLTQ5ZmMtODRmMy1mYjk4MGY4YTQ3ODQiLCJzdWIiOiJsb2NhbHwyZjBmZWViNC02MjkwLTQ4ZWQtYmU1Yy0wYmU4NTVkMzE4NzMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiODU3ZDEyYjItNjljZi00OWY1LThkYjktMjI0NWMwODNiODg5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImQ2MzEyMzg3LWVjNWEtNGZiNC05ODMzLTNkY2RmYTUzYThmNyIsImlhdCI6MTY0Mzg2MjM0OSwiZXhwIjoxNjQzODYyNjQ5fQ.-rnMB2EbfmeovnohfNMkR4hDTIREpd2wDbPKUn5_8Gg' -H 'accept: application/json' --compressed

Example Response

{
    "id": "3e954908-285b-4b91-bd59-620819392b03",
    "uri": "kylo:kylo:cckm:oci-key:3e954908-285b-4b91-bd59-620819392b03",
    "account": "kylo:kylo:admin:accounts:kylo",
    "createdAt": "2022-02-03T04:20:05.9991Z",
    "updatedAt": "2022-02-03T04:28:51.515698474Z",
    "vault_id": "5e9ee2f1-1b90-4b7d-b319-2b0848e78e75",
    "tenancy": "gemaltoproductdev",
    "region": "us-ashburn-1",
    "key_material_origin": "native",
    "refreshed_at": "2022-02-03T04:19:50.026144Z",
    "oci_params": {
        "compartment_id": "ocid1.tenancy.oc1..aaaaaaaadixb52q2mvlsn634ql5aaal6hb2vg7audpd4d4mcf5zluymff6sq",
        "current_key_version": "ocid1.keyversion.oc1.iad.b5q6uxdhaahdg.auq2mh5g76iaa.abuwcljszekgbd5d7x57jq7lxrrswf4gxitkr3wtna4wfkqrpev7gykldhbq",
        "display_name": "test-76490d08-ed16-4a94-accb-bbb3be0ead4e",
        "key_id": "ocid1.key.oc1.iad.b5q6uxdhaahdg.abuwcljs64i4m5tbhyobhyir7aoa2nskkgjibb2d7xhgpjpvey2l5ukmfxlq",
        "algorithm": "AES",
        "length": 32,
        "lifecycle_state": "CANCELLING_DELETION",
        "time_created": "2022-02-02T11:50:18.499Z",
        "vault_name": "cckmqa-automation",
        "defined_tags": {},
        "freeform_tags": {},
        "protection_mode": "SOFTWARE",
        "is_primary": true
    }
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.